/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.qsoft.rs.sincoar.model;

import java.io.Serializable;
import java.util.Collection;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

/**
 *
 * @author developer2
 */
@Entity
@Table(name="COMACO.TARMCARGA")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Tarmcarga.findAll", query = "SELECT t FROM Tarmcarga t"),
    @NamedQuery(name = "Tarmcarga.findByCcarga", query = "SELECT t FROM Tarmcarga t WHERE t.ccarga = :ccarga"),
    @NamedQuery(name = "Tarmcarga.findByFecha", query = "SELECT t FROM Tarmcarga t WHERE t.fecha = :fecha"),
    @NamedQuery(name = "Tarmcarga.findByAucp", query = "SELECT t FROM Tarmcarga t WHERE t.aucp = :aucp"),
    @NamedQuery(name = "Tarmcarga.findByEsdesaduanizado", query = "SELECT t FROM Tarmcarga t WHERE t.esdesaduanizado = :esdesaduanizado"),
    @NamedQuery(name = "Tarmcarga.findByTipocarga", query = "SELECT t FROM Tarmcarga t WHERE t.tipocarga = :tipocarga"),
    @NamedQuery(name = "Tarmcarga.findByCregistro", query = "SELECT t FROM Tarmcarga t WHERE t.cregistro = :cregistro"),
    @NamedQuery(name = "Tarmcarga.findByProvincecode", query = "SELECT t FROM Tarmcarga t WHERE t.provincecode = :provincecode"),
    @NamedQuery(name = "Tarmcarga.findByCantoncode", query = "SELECT t FROM Tarmcarga t WHERE t.cantoncode = :cantoncode"),
    @NamedQuery(name = "Tarmcarga.findByCitycode", query = "SELECT t FROM Tarmcarga t WHERE t.citycode = :citycode"),
    @NamedQuery(name = "Tarmcarga.findByCategoria", query = "SELECT t FROM Tarmcarga t WHERE t.categoria = :categoria"),
    @NamedQuery(name = "Tarmcarga.findByCsolicitud", query = "SELECT t FROM Tarmcarga t WHERE t.csolicitud = :csolicitud")})
public class Tarmcarga implements Serializable {

    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @Column(name = "CCARGA")
    private String ccarga;
    @Basic(optional = false)
    @Column(name = "FECHA")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecha;
    @Column(name = "AUCP")
    private String aucp;
    @Basic(optional = false)
    @Column(name = "ESDESADUANIZADO")
    private String esdesaduanizado;
    @Basic(optional = false)
    @Column(name = "TIPOCARGA")
    private String tipocarga;
    @Basic(optional = false)
    @Column(name = "CREGISTRO")
    private long cregistro;
    @Column(name = "PROVINCECODE")
    private String provincecode;
    @Column(name = "CANTONCODE")
    private String cantoncode;
    @Column(name = "CITYCODE")
    private String citycode;
    @Column(name = "CATEGORIA")
    private String categoria;
    @Column(name = "CSOLICITUD")
    private String csolicitud;
    @JoinColumn(name = "PERSONCODE", referencedColumnName = "PERSONCODE")
    @ManyToOne(optional = false)
    private Tcustperson personcode;
    @OneToMany(cascade = CascadeType.ALL, mappedBy = "ccarga")
    private Collection<Tarmcargadetalle> tarmcargadetalleCollection;

    public Tarmcarga() {
    }

    public Tarmcarga(String ccarga) {
        this.ccarga = ccarga;
    }

    public Tarmcarga(String ccarga, Date fecha, String esdesaduanizado, String tipocarga, long cregistro) {
        this.ccarga = ccarga;
        this.fecha = fecha;
        this.esdesaduanizado = esdesaduanizado;
        this.tipocarga = tipocarga;
        this.cregistro = cregistro;
    }

    public String getCcarga() {
        return ccarga;
    }

    public void setCcarga(String ccarga) {
        this.ccarga = ccarga;
    }

    public Date getFecha() {
        return fecha;
    }

    public void setFecha(Date fecha) {
        this.fecha = fecha;
    }

    public String getAucp() {
        return aucp;
    }

    public void setAucp(String aucp) {
        this.aucp = aucp;
    }

    public String getEsdesaduanizado() {
        return esdesaduanizado;
    }

    public void setEsdesaduanizado(String esdesaduanizado) {
        this.esdesaduanizado = esdesaduanizado;
    }

    public String getTipocarga() {
        return tipocarga;
    }

    public void setTipocarga(String tipocarga) {
        this.tipocarga = tipocarga;
    }

    public long getCregistro() {
        return cregistro;
    }

    public void setCregistro(long cregistro) {
        this.cregistro = cregistro;
    }

    public String getProvincecode() {
        return provincecode;
    }

    public void setProvincecode(String provincecode) {
        this.provincecode = provincecode;
    }

    public String getCantoncode() {
        return cantoncode;
    }

    public void setCantoncode(String cantoncode) {
        this.cantoncode = cantoncode;
    }

    public String getCitycode() {
        return citycode;
    }

    public void setCitycode(String citycode) {
        this.citycode = citycode;
    }

    public String getCategoria() {
        return categoria;
    }

    public void setCategoria(String categoria) {
        this.categoria = categoria;
    }

    public String getCsolicitud() {
        return csolicitud;
    }

    public void setCsolicitud(String csolicitud) {
        this.csolicitud = csolicitud;
    }

    public Tcustperson getPersoncode() {
        return personcode;
    }

    public void setPersoncode(Tcustperson personcode) {
        this.personcode = personcode;
    }

    @XmlTransient
    public Collection<Tarmcargadetalle> getTarmcargadetalleCollection() {
        return tarmcargadetalleCollection;
    }

    public void setTarmcargadetalleCollection(Collection<Tarmcargadetalle> tarmcargadetalleCollection) {
        this.tarmcargadetalleCollection = tarmcargadetalleCollection;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (ccarga != null ? ccarga.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Tarmcarga)) {
            return false;
        }
        Tarmcarga other = (Tarmcarga) object;
        if ((this.ccarga == null && other.ccarga != null) || (this.ccarga != null && !this.ccarga.equals(other.ccarga))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.qsoft.rs.sincoar.model.Tarmcarga[ ccarga=" + ccarga + " ]";
    }
    
}
